View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
09788Feature requestsRemoteControlpublic2016-05-17 14:43
ReporterDenisChenu Assigned Toc_schmitz  
PrioritynormalSeverityfeature 
Status assignedResolutionopen 
Summary09788: Add event for plugins to create new feature in Remote Control API
DescriptionRemote control is a great tool, but actually : a lot of user can want to do something and don't have function to do it.
Some of this function can be included in core, but some other can be very specific.

I think it's great if we have a function for remote control
Additional InformationMaybe
plugin_event(sSessionKey,target,aParams)

Think it's OK with just this.

Some new plugin can go in core if a lot of user need it (activated or not).
TagsNo tags attached.
Bug heat2

Relationships

related to 09776 closedc_schmitz Mail registered participants with RemoteControl API 
related to 09956 new implement delete_response(token) 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2015-07-29 13:01

developer   ~32823

Can be done in plugin actually :

https://git.framasoft.org/SondagePro-LimeSurvey-plugin/extendRemoteControl/tree/master

But : config need update and allow crsfValidatio disable for all plugin (don't found another method).

Maybe plugin event to disable CRSF in some way ?
DenisChenu

DenisChenu

2016-05-03 15:14

developer   ~38161

Last edited: 2016-05-03 15:15

View 2 revisions

Think the new unsecureDirectRequest event does the trick : jsut a demo plugin to have this seems OK.

Then put it in resolved and i move the exemple plugin in plugins/ directory

DenisChenu

DenisChenu

2016-05-17 14:43

developer   ~38635

https://git.framasoft.org/SondagePro-LimeSurvey-plugin/extendRemoteControl : fixed for 2.50 : all seems OK.

2.05/2.06/2.50 compatibility

Issue History

Date Modified Username Field Change
2015-07-22 10:18 DenisChenu New Issue
2015-07-22 10:19 DenisChenu Additional Information Updated View Revisions
2015-07-22 10:19 DenisChenu Relationship added related to 09776
2015-07-29 13:01 DenisChenu Note Added: 32823
2015-10-10 13:02 DenisChenu Relationship added related to 09956
2016-05-03 15:14 DenisChenu Note Added: 38161
2016-05-03 15:14 DenisChenu Assigned To => c_schmitz
2016-05-03 15:14 DenisChenu Status new => feedback
2016-05-03 15:15 DenisChenu Note Edited: 38161 View Revisions
2016-05-17 14:43 DenisChenu Note Added: 38635
2016-05-17 14:43 DenisChenu Status feedback => assigned